﻿

import es, gamethread, playerlib, cfglib

config = cfglib.AddonCFG(es.getAddonPath("dretaxbody") + "/dretaxbody.cfg")
 
dretaxbody_enable     = config.cvar("dretaxbody_enable",     1, "Enable/disable the hole script")

config.text("DreTaX's Body Deleter Options")

dretax_deletebody   = config.cvar("dretax_deletebody",   1, "This var enables the body remover.")


config.write() 
 
 
def load():
	es.msg("[DreTaX's BodyRemover Loaded]")
	config.execute()
	
def unload():
	es.msg("[DreTaX's BodyRemover Loaded]")
	
def es_map_start(E):
	config.execute()

def player_death(E):
	if dretaxbody_enable:			
		if dretax_deletebody:
			user_handle = es.getplayerhandle(E["userid"])
			for ragdoll_index in es.createentitylist("cs_ragdoll"):
				if (es.getindexprop(ragdoll_index, "CCSRagdoll.m_hPlayer") != user_handle):
					continue
				es.remove(ragdoll_index)

def player_team(E):
    if dretaxbody_enable:    				
		if dretax_deletebody:
			user_handle = es.getplayerhandle(E["userid"])
			for ragdoll_index in es.createentitylist("cs_ragdoll"):
				if (es.getindexprop(ragdoll_index, "CCSRagdoll.m_hPlayer") != user_handle):
					continue
				es.remove(ragdoll_index)                   

